package com.example.nto.dto.entity;


import com.example.nto.dto.entity.employee.EmployeeItemDTO;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PositionDTO {
    private long id;
    private String name;

    // Список всех сотрудников с этой должностью.
    private List<EmployeeItemDTO> employeeItemDTOList;
}
